/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

// @(#) $Id: ITreeWMClient.java 2089 2007-11-28 13:56:13Z s3460 $
package at.spardat.xma.mdl.tree;

import at.spardat.xma.mdl.IWModelClient;

/**
 * The API to manipulate a ITreeWM at the client.
 * 
 * @author YSD, 23.06.2003 14:27:11
 */
public interface ITreeWMClient extends ITreeWM, IWModelClient {
    
    /**
     * Sets the expanded state of the top <tt>depth</tt> levels of 
     * the tree. If <tt>depth</tt> is
     * 1, all root nodes are expanded/collapsed. If <tt>depth</tt> is 2, all root
     * nodes and their childs are expanded/collapsed and so on and so forth.
     * 
     * @param depth number of levels to expand or collapse
     */
    public abstract void setExpanded (int depth, boolean expanded);
}
